Heartbleed Bug Scare

As many of you may know, an important vulnerability has been recently discovered for OpenSSL. Fortunately, your website if hosted with us is not vulnerable to this type of exploit. We're in the process of patching some machines that are behind the firewall and might have a version of OpenSSL vulnerable to the Heartbleed bug. These are not accessible from the Internet, but as a precaution, we are patching the operating systems and regenerating our certificates for all of them. On your end, although there is no evidence that any accounts have been affected in any way, as a precaution, we recommend that you reset all your password(s).

For more details on Click Here